<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE-edge" />
    <meta name="viewport" content="width=device-width, initial -scale =1" />
    <meta name="description" content="" />
    <meta name="author" content="" />
    <title>Web Cart - Sign Up</title>
    <link rel="shortcut icon" type="image/png" th:href="@{/images/favicon.png}"/>
    <link rel="stylesheet"
          th:href="@{http://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css}" />

    <link rel="stylesheet" type="text/css"
          href="../static/css/bootstrap.min.css"
          th:href="@{/css/bootstrap.min.css}" />
    <link rel="stylesheet" type="text/css" href="../static/css/style.css"
          th:href="@{/css/style.css}" />
    <link rel="stylesheet" type="text/css"
          href="../static/css/footer-distributed-with-address-and-phones.css"
          th:href="@{/css/footer-distributed-with-address-and-phones.css}" />
    <script
            src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.0/jquery.min.js"></script>
    <script
            src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

</head>
<body>
<nav class="navbar navbar-inverse">
    <div class="container-fluid">
        <div class="navbar-header">
            <!--<a class="navbar-brand" th:href="@{/index}"><img class="logo"-->
                                                             <!--th:src="@{/images/logo.png}" height="50" width="50" /></a>-->
        </div>
        <ul class="nav navbar-nav">
            <li><a th:href="@{/index}">Home</a></li>

            <!--       <li><a th:href="@{/users/total-progress}">Total progress</a></li> -->
            <!-- 				<li><a th:href="@{#}">Something 2</a></li> -->
        </ul>
        <ul class="nav navbar-nav navbar-right">
            <li><a th:href="@{/login}"><span
                    class="glyphicon glyphicon-log-in"></span> Login </a></li>
        </ul>
    </div>
</nav>


<div class="container">
    <form th:object="${signupForm}" class="well form-horizontal"
          th:action="@{/signup}" action="#" method="post">
        <fieldset>

            <!-- Form Name -->
            <legend>Sign Up</legend>

            <!-- Text input -->

            <div class="form-group">
                <label class="col-md-4 control-label">First Name</label>
                <div class="col-md-4 inputGroupContainer">
                    <div class="input-group">
							<span class="input-group-addon"> <i
                                    class="glyphicon glyphicon-user"></i>
							</span> <input th:field="*{firstName}" name="firstName"
                                           placeholder="First Name" class="form-control" type="text" />
                    </div>
                    <div class="alert alert-danger" role="alert" th:if="${#fields.hasErrors('firstName')}">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only"></span>
                        The first name must be between 4 and 30 symbols
                    </div>
                </div>
            </div>

            <!-- Text input -->

            <div class="form-group">
                <label class="col-md-4 control-label">Last Name</label>
                <div class="col-md-4 inputGroupContainer">
                    <div class="input-group">
							<span class="input-group-addon"><i
                                    class="glyphicon glyphicon-user"></i></span> <input name="lastName"
                                                                                        th:field="*{lastName}" placeholder="Last Name"
                                                                                        class="form-control" type="text" />
                    </div>
                    <div class="alert alert-danger" role="alert" th:if="${#fields.hasErrors('lastName')}">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only"></span>
                        The last name must be between 4 and 30 symbols
                    </div>
                </div>
            </div>

            <!-- Text input -->
            <div class="form-group">
                <label class="col-md-4 control-label">E-Mail</label>
                <div class="col-md-4 inputGroupContainer">
                    <div class="input-group">
							<span class="input-group-addon"><i
                                    class="glyphicon glyphicon-envelope"></i></span> <input name="email"
                                                                                            th:field="*{email}" placeholder="E-Mail Address"
                                                                                            class="form-control" type="text" />
                    </div>
                    <div class="alert alert-danger" role="alert" th:if="${#fields.hasErrors('email')}">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only"></span>
                        The e-mail must be between 4 and 30 symbols
                        Example : username@mailbox.com
                    </div>
                </div>
            </div>

            <!-- Text input -->

            <div class="form-group">
                <label class="col-md-4 control-label">Username</label>
                <div class="col-md-4 inputGroupContainer">
                    <div class="input-group">
							<span class="input-group-addon"><i
                                    class="glyphicon glyphicon-user"></i></span> <input name="username"
                                                                                        th:field="*{username}" placeholder="Username"
                                                                                        class="form-control" type="text" />
                    </div>
                    <div class="alert alert-danger" role="alert" th:if="${#fields.hasErrors('username')}">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only"></span>
                        The username must be between 4 and 30 symbols
                    </div>
                </div>
            </div>

            <!-- Text input -->

            <div class="form-group">
                <label class="col-md-4 control-label">Password</label>
                <div class="col-md-4 inputGroupContainer">
                    <div class="input-group">
							<span class="input-group-addon"><i
                                    class="glyphicon glyphicon-lock"></i></span> <input name="password"
                                                                                        th:field="*{password}" placeholder="Password"
                                                                                        class="form-control" type="password" />
                    </div>
                    <div class="alert alert-danger" role="alert" th:if="${#fields.hasErrors('password')}">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only"></span>
                        The password must be between 8 and 30 symbols
                    </div>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label">Confirm Password</label>
                <div class="col-md-4 inputGroupContainer">
                    <div class="input-group">
							<span class="input-group-addon"><i
                                    class="glyphicon glyphicon-lock"></i></span> <input
                            name="passwordCheck" th:field="*{passwordCheck}"
                            placeholder="Password" class="form-control" type="password" />
                    </div>
                    <div class="alert alert-danger" role="alert" th:if="${#fields.hasErrors('passwordCheck')}">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only"></span>
                        The passwords must match
                    </div>
                </div>
            </div>


            <!-- Button -->
            <div class="form-group">
                <label class="col-md-4 control-label"></label>
                <div class="col-md-4">
                    <button type="submit" class="btn btn-warning">
                        Sign Up <span class="glyphicon glyphicon-send"></span>
                    </button>
                </div>
            </div>

        </fieldset>
    </form>
</div>
<div>
    <footer class="footer-distributed">
        <div class="footer-left">

            <!--<a href="#"><img class="logo" th:src="@{/images/logo.png}"-->
            <!--height="100" width="100" /></a>-->

            <p class="footer-links footer-company-about">
                <a th:href="@{/index.html}">Home</a> ·
            </p>

            <p class="footer-company-about">Copyright &copy; 2018, Malina Alex. All
                rights reserved.</p>
        </div>

        <div class="footer-center">


            <div>
                <i class="fa fa-phone" style="width: 38px; height: 38px;"></i>
                <p class="footer-company-about">+373 69 69 91 31</p>
            </div>

            <div>
                <i class="fa fa-envelope" style="width: 38px; height: 38px;"></i>
                <p class="footer-company-about">
                    <a href="mailto:alexraspberryftw@gmail.com">alexraspberryftw@gmail.com</a>
                </p>
            </div>

        </div>

        <div class="footer-right">

            <p class="footer-company-about">
                <br /> Doing some things to become smarter in the IT sphere.

            </p>

            <div class="footer-icons">

                <a th:href="@{https://www.vk.com/1raspberry}"> <i
                        class="fa fa-facebook"></i>
                </a> <a href="#"><i class="fa fa-twitter"></i></a> <a href="#"><i
                    class="fa fa-linkedin"></i></a> <a href="#"><i class="fa fa-github"></i></a>

            </div>

        </div>

    </footer>
</div>

</body>
</html>